The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

apache error.

Discussion in 'EasyApache' started by hasantokaloglu, Jan 22, 2016.

  1. hasantokaloglu

    hasantokaloglu Registered

    Joined:
    Nov 3, 2013
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Hello .I do not compile apache. I get an error.

    what should I do?

    thank you.
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
  3. hasantokaloglu

    hasantokaloglu Registered

    Joined:
    Nov 3, 2013
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    hello,

    Code:
    Complete!
    The system failed to execute yum with the arguments “-y -c /etc/yum.conf install aspell aspell-devel automake19 gettext libstdc++.x86_64 libpng-devel readline-devel openssl libpng-dev zlib-devel openldap23-client autoconf261 libidn-devel gmake libidn libXpm openssl-devel automake coreutils patch libltdl3-devel libltdl libopenssl0.9.7-static-devel readline-dev icu-dev libtool-ltdl-devel libicu sed libXpm-devel lsof libXpm-dev libenchant-dev enchant-devel krb5-dev flex glibc-dev expat-dev krb5-devel enchant-dev pspell-devel libstdc++-devel.x64_64 xorg-x11-devel libtool-ltdl libssl-dev bzip2-devel pam-devel icu-devel libenchant-devel libopenssl0-devel zlib1-devel openldap-devel expat-devel libicu-dev libopenssl0-dev pspell gcc-c++ expat glibc-devel libenchant zlib distcache-devel libicu-devel bison libjpeg-devel libtool-libltdl-devel libopenssl0 openssl-dev libtool libz-devel bzip2-libs libjpeg-dev pam-dev libopenssl0.9.7-devel fileutils libltdl-devel e2fsprogs-devel icu ca_root_nss make libstdc++-dev.x86_64 libX11-devel openldap-client libstdc++-devel.x86_64 gd cpp xorg-x11-dev gcc enchant ssl-dev lex autoconf” because of an error: The “/usr/bin/yum” command (process 28972) reported error number 1 when it ended. : There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
    Error unpacking rpm package coreutils-8.4-37.el6_7.3.x86_64
    coreutils-8.4-37.el6.x86_64 was supposed to be removed but is not!
    !! ensure() rc was '0', exit status was '', perl '$?' was '0', exit sig '0', core dump: '0', shell '$?' was '0' !!
    
    !! Simulating failed Cpanel::SysPkgs as per 'simulate-failed-syspkgs' flag !!
    
    !! Could not ensure pkglist 'aspell, aspell-devel, automake19, gettext, libstdc++.x86_64, libpng-devel, readline-devel, openssl, libpng-dev, zlib-devel, openldap23-client, autoconf261, libidn-devel, gmake, libidn, libXpm, openssl-devel, automake, coreutils, patch, libltdl3-devel, libltdl, libopenssl0.9.7-static-devel, readline-dev, icu-dev, libtool-ltdl-devel, libicu, sed, libXpm-devel, lsof, libXpm-dev, libenchant-dev, enchant-devel, krb5-dev, flex, glibc-dev, expat-dev, krb5-devel, enchant-dev, pspell-devel, libstdc++-devel.x64_64, xorg-x11-devel, libtool-ltdl, libssl-dev, bzip2-devel, pam-devel, icu-devel, libenchant-devel, libopenssl0-devel, zlib1-devel, openldap-devel, expat-devel, libicu-dev, libopenssl0-dev, pspell, gcc-c++, expat, glibc-devel, libenchant, zlib, distcache-devel, libicu-devel, bison, libjpeg-devel, libtool-libltdl-devel, libopenssl0, openssl-dev, libtool, libz-devel, bzip2-libs, libjpeg-dev, pam-dev, libopenssl0.9.7-devel, fileutils, libltdl-devel, e2fsprogs-devel, icu, ca_root_nss, make, libstdc++-dev.x86_64, libX11-devel, openldap-client, libstdc++-devel.x86_64, gd, cpp, xorg-x11-dev, gcc, enchant, ssl-dev, lex, autoconf' !!
    !! The server's system package manager, 'YUM', failed. !!
    
    !! direct ensure() call will be used (does not support get_command_arrayref_only): pkglist = 'aspell aspell-devel automake19 gettext libstdc++.x86_64 libpng-devel readline-devel openssl libpng-dev zlib-devel openldap23-client autoconf261 libidn-devel gmake libidn libXpm openssl-devel automake coreutils patch libltdl3-devel libltdl libopenssl0.9.7-static-devel readline-dev icu-dev libtool-ltdl-devel libicu sed libXpm-devel lsof libXpm-dev libenchant-dev enchant-devel krb5-dev flex glibc-dev expat-dev krb5-devel enchant-dev pspell-devel libstdc++-devel.x64_64 xorg-x11-devel libtool-ltdl libssl-dev bzip2-devel pam-devel icu-devel libenchant-devel libopenssl0-devel zlib1-devel openldap-devel expat-devel libicu-dev libopenssl0-dev pspell gcc-c++ expat glibc-devel libenchant zlib distcache-devel libicu-devel bison libjpeg-devel libtool-libltdl-devel libopenssl0 openssl-dev libtool libz-devel bzip2-libs libjpeg-dev pam-dev libopenssl0.9.7-devel fileutils libltdl-devel e2fsprogs-devel icu ca_root_nss make libstdc++-dev.x86_64 libX11-devel openldap-client libstdc++-devel.x86_64 gd cpp xorg-x11-dev gcc enchant ssl-dev lex autoconf' !!
    
    !! Please visit EasyApache FAQ - EasyApache - cPanel Documentation for help with this error. !!
    
    !! Restoring original working apache !!
    
    !! Executing '/usr/local/cpanel/scripts/initsslhttpd' !!
    !! Restarting 'httpd' ... !!
    !! 'httpd' restart complete. !!
    Building global cache for cpanel...Done
    !! Executing '/usr/local/cpanel/scripts/initfpsuexec' !!
    !! Executing '/usr/local/cpanel/scripts/initsslhttpd' !!
    !! Executing '/usr/local/cpanel/scripts/fixmailman' !!
    !! Executing '/usr/local/cpanel/scripts/update_apachectl' !!
    Compiling report...
    Sending report. As some of the attached files may be quite large, this could take a few minutes. Thanks for your patience.
    Report processed.
    !! Verbose logfile is at '/usr/local/cpanel/logs/easy/apache/build.1453495537' !!
     
    #3 hasantokaloglu, Jan 22, 2016
    Last edited by a moderator: Jan 22, 2016
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Do you notice any additional error output when running the "yum update coreutils" command? Also, do you notice any files with the immutable flag (i) in the /bin or /usr/bin directories? EX:

    Code:
    lsattr /usr/bin
    Thank you.
     
Loading...

Share This Page